#!/bin/sh

FILENAME="spark_problem"

echo "Cleaning output"

rm "-f" "data/solution.out"
rm "-rf" "data/output_folder"

echo "Running the script"

spark-submit homework/minhash_homework.py > data/solution.out

echo "Creating archive..."

zip "-r" "$FILENAME.zip" "data/solution.out" "data/output_folder" "homework/minhash_homework.py"

echo "Done. Please submit $FILENAME.zip."